Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Sign up and get started with Confidence today! Create your account
Update a user.
cURL
curl --request PATCH \ --url https://iam.eu.confidence.dev/v1/users/{user} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "fullName": "<string>", "email": "<string>", "name": "<string>", "givenName": "<string>", "familyName": "<string>", "externalId": "<string>", "username": "<string>", "pictureUri": "<string>", "labels": [ {} ] } '
import requests url = "https://iam.eu.confidence.dev/v1/users/{user}" payload = { "fullName": "<string>", "email": "<string>", "name": "<string>", "givenName": "<string>", "familyName": "<string>", "externalId": "<string>", "username": "<string>", "pictureUri": "<string>", "labels": [{}] } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({ fullName: '<string>', email: '<string>', name: '<string>', givenName: '<string>', familyName: '<string>', externalId: '<string>', username: '<string>', pictureUri: '<string>', labels: [{}] }) }; fetch('https://iam.eu.confidence.dev/v1/users/{user}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://iam.eu.confidence.dev/v1/users/{user}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'fullName' => '<string>', 'email' => '<string>', 'name' => '<string>', 'givenName' => '<string>', 'familyName' => '<string>', 'externalId' => '<string>', 'username' => '<string>', 'pictureUri' => '<string>', 'labels' => [ [ ] ] ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://iam.eu.confidence.dev/v1/users/{user}" payload := strings.NewReader("{\n \"fullName\": \"<string>\",\n \"email\": \"<string>\",\n \"name\": \"<string>\",\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\",\n \"externalId\": \"<string>\",\n \"username\": \"<string>\",\n \"pictureUri\": \"<string>\",\n \"labels\": [\n {}\n ]\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://iam.eu.confidence.dev/v1/users/{user}") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"fullName\": \"<string>\",\n \"email\": \"<string>\",\n \"name\": \"<string>\",\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\",\n \"externalId\": \"<string>\",\n \"username\": \"<string>\",\n \"pictureUri\": \"<string>\",\n \"labels\": [\n {}\n ]\n}") .asString();
require 'uri' require 'net/http' url = URI("https://iam.eu.confidence.dev/v1/users/{user}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer <token>' request["Content-Type"] = 'application/json' request.body = "{\n \"fullName\": \"<string>\",\n \"email\": \"<string>\",\n \"name\": \"<string>\",\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\",\n \"externalId\": \"<string>\",\n \"username\": \"<string>\",\n \"pictureUri\": \"<string>\",\n \"labels\": [\n {}\n ]\n}" response = http.request(request) puts response.read_body
{ "fullName": "<string>", "email": "<string>", "createTime": {}, "updateTime": {}, "identity": "<string>", "name": "<string>", "givenName": "<string>", "familyName": "<string>", "externalId": "<string>", "scimExternalId": "<string>", "username": "<string>", "pictureUri": "<string>", "lastLoginTime": {}, "blocked": true, "slackUserInfo": { "user": "<string>", "team": "<string>", "picture": "<string>" }, "labels": [ {} ], "deleteTime": {} }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The list of fields to update. Fields are specified relative to the user (e.g. labels; not user.labels).
labels
user.labels
Full name of the user like John Doe.
E-mail of the user.
Name of the user on the form users/{"<"}id{">"}.
users/{"<"}id{">"}
Given name of the user like John.
Family name of the user like Doe.
External identifier of the user
Username of the user
Profile picture URI if exists, otherwise empty.
General labels for this resource.
Show child attributes
Returns a User.
A Confidence user.
Time when the user was first created.
Time when the user was last updated.
Reference to the identity this user represents.
External identifier of the user if set over scim
Time of last login.
Indicator of whether the user is blocked from logging in.
The slack user info for the user if any.
Time when the user was deleted.
Was this page helpful?
Contact support